Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 658742 (CVE-2018-12613) - <dev-db/phpmyadmin-4.8.3-r1: File Inclusion privilege escalation (CVE-2018-12613)
Summary: <dev-db/phpmyadmin-4.8.3-r1: File Inclusion privilege escalation (CVE-2018-12...
Status: RESOLVED FIXED
Alias: CVE-2018-12613
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Security
URL: https://www.phpmyadmin.net/security/P...
Whiteboard: B2 [glsa+ cve]
Keywords:
Depends on: CVE-2018-19968, CVE-2018-19969, CVE-2018-19970, PMASA-2018-6, PMASA-2018-7, PMASA-2018-8
Blocks:
  Show dependency tree
 
Reported: 2018-06-22 12:00 UTC by Florian Schuhmacher
Modified: 2019-04-15 20:54 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Florian Schuhmacher 2018-06-22 12:00:17 UTC
An issue was discovered in phpMyAdmin 4.8.x before 4.8.2, in which an attacker can include (view and potentially execute) files on the server. The vulnerability comes from a portion of code where pages are redirected and loaded within phpMyAdmin, and an improper test for whitelisted pages. An attacker must be authenticated, except in the "$cfg['AllowArbitraryServer'] = true" case (where an attacker can specify any host he/she is already in control of, and execute arbitrary code on phpMyAdmin) and the "$cfg['ServerDefault'] = 0" case (which bypasses the login requirement and runs the vulnerable code without any authentication). 

Gentoo Security Scout
Florian Schuhmacher
Comment 1 Jorge Manuel B. S. Vicetto Gentoo Infrastructure gentoo-dev 2018-06-22 22:42:12 UTC
dev-db/phpmyadmin: Security bump to release 4.8.2 - fixes bug 658742.
Fixes security issues PMASA-2018-3 and PMASA-2018-4.

dev-db/phpmyadmin: Remvoe vulnerable versions.
Comment 2 Jorge Manuel B. S. Vicetto Gentoo Infrastructure gentoo-dev 2018-06-22 22:47:55 UTC
@arch teams, please add stable keywords to =dev-db/phpmyadmin-4.8.2

Desired keywords:
=dev-db/phpmyadmin-4.8.2 KEYWORDS="alpha amd64 ~arm ~hppa ~ia64 ppc ppc64 ~sparc x86 ~x86-fbsd ~ppc-macos ~x64-macos ~x86-macos"
Comment 3 Jorge Manuel B. S. Vicetto Gentoo Infrastructure gentoo-dev 2018-06-22 22:49:25 UTC
@sparc:

Not sure if you want to keep stable keywords or not.
Comment 4 Yury German Gentoo Infrastructure gentoo-dev Security 2019-04-02 06:15:14 UTC
New GLSA Request filed.
Comment 5 GLSAMaker/CVETool Bot gentoo-dev 2019-04-15 20:54:25 UTC
This issue was resolved and addressed in
 GLSA 201904-16 at https://security.gentoo.org/glsa/201904-16
by GLSA coordinator Aaron Bauman (b-man).